#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    short N,ans=1;
    int L;
    cin >> N >> L;
    for (short i = 0;i < N;i++) {
        int H;
        cin >> H;
        if (H > L)ans++;
        else L = INT_MAX;
    }
    cout << ((ans==N+1)?-1:ans);
}